• Русский
  • ServerStatusRequest [velero.io/v1]

    Description
    ServerStatusRequest is a request to access current status information about the Velero server.
    Type
    object

    Specification

    PropertyTypeDescription
    apiVersionstring

    APIVersion defines the versioned schema of this representation of an object. Servers should convert recognized schemas to the latest internal value, and may reject unrecognized values. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#resources

    kindstring

    Kind is a string value representing the REST resource this object represents. Servers may infer this from the endpoint the client submits requests to. Cannot be updated. In CamelCase. More info: https://git.k8s.io/community/contributors/devel/sig-architecture/api-conventions.md#types-kinds

    metadataObjectMeta

    ObjectMeta is metadata that all persisted resources must have, which includes all objects users must create.

    specobject

    ServerStatusRequestSpec is the specification for a ServerStatusRequest.

    statusobject

    ServerStatusRequestStatus is the current status of a ServerStatusRequest.

    .spec

    Description
    ServerStatusRequestSpec is the specification for a ServerStatusRequest.
    Type
    object

    .status

    Description
    ServerStatusRequestStatus is the current status of a ServerStatusRequest.
    Type
    object
    PropertyTypeDescription
    phasestring

    Phase is the current lifecycle phase of the ServerStatusRequest.

    pluginsarray

    Plugins list information about the plugins running on the Velero server

    processedTimestampstring

    ProcessedTimestamp is when the ServerStatusRequest was processed by the ServerStatusRequestController.

    serverVersionstring

    ServerVersion is the Velero server version.

    .status.plugins

    Description
    Plugins list information about the plugins running on the Velero server
    Type
    array

    .status.plugins[]

    Description
    PluginInfo contains attributes of a Velero plugin
    Type
    object
    Required
    kindname
    PropertyTypeDescription
    kindstring
    namestring

    API Endpoints

    The following API endpoints are available:

    • /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests
      • DELETE: delete collection of ServerStatusRequest
      • GET: list objects of kind ServerStatusRequest
      • POST: create a new ServerStatusRequest
    • /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests/{name}
      • DELETE: delete the specified ServerStatusRequest
      • GET: read the specified ServerStatusRequest
      • PATCH: partially update the specified ServerStatusRequest
      • PUT: replace the specified ServerStatusRequest
    • /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests/{name}/status
      • GET: read status of the specified ServerStatusRequest
      • PATCH: partially update status of the specified ServerStatusRequest
      • PUT: replace status of the specified ServerStatusRequest

    /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests

    HTTP method
    DELETE
    Description
    delete collection of ServerStatusRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    list objects of kind ServerStatusRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequestList schema
    401 - UnauthorizedEmpty
    HTTP method
    POST
    Description
    create a new ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyServerStatusRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    201 - CreatedServerStatusRequest schema
    202 - AcceptedServerStatusRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests/{name}

    HTTP method
    DELETE
    Description
    delete the specified ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    HTTP responses
    HTTP codeResponse body
    200 - OKStatus schema
    202 - AcceptedStatus schema
    401 - UnauthorizedEmpty
    HTTP method
    GET
    Description
    read the specified ServerStatusRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update the specified ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace the specified ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyServerStatusRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    201 - CreatedServerStatusRequest schema
    401 - UnauthorizedEmpty

    /apis/velero.io/v1/namespaces/{namespace}/serverstatusrequests/{name}/status

    HTTP method
    GET
    Description
    read status of the specified ServerStatusRequest
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PATCH
    Description
    partially update status of the specified ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    401 - UnauthorizedEmpty
    HTTP method
    PUT
    Description
    replace status of the specified ServerStatusRequest
    Query parameters
    ParameterTypeDescription
    dryRunstringWhen present, indicates that modifications should not be persisted. An invalid or unrecognized dryRun directive will result in an error response and no further processing of the request. Valid values are: - All: all dry run stages will be processed
    fieldValidationstringfieldValidation instructs the server on how to handle objects in the request (POST/PUT/PATCH) containing unknown or duplicate fields. Valid values are: - Ignore: This will ignore any unknown fields that are silently dropped from the object, and will ignore all but the last duplicate field that the decoder encounters. This is the default behavior prior to v1.23. - Warn: This will send a warning via the standard warning response header for each unknown field that is dropped from the object, and for each duplicate field that is encountered. The request will still succeed if there are no other errors, and will only persist the last of any duplicate fields. This is the default in v1.23+ - Strict: This will fail the request with a BadRequest error if any unknown fields would be dropped from the object, or if any duplicate fields are present. The error returned from the server will contain all unknown and duplicate fields encountered.
    Body parameters
    ParameterTypeDescription
    bodyServerStatusRequest schemaapplication/json formatted
    HTTP responses
    HTTP codeResponse body
    200 - OKServerStatusRequest schema
    201 - CreatedServerStatusRequest schema
    401 - UnauthorizedEmpty